curl "https://api.fileguard.io/api/v1/contexts/patient_reports" \
-H "Authorization: Bearer fg_your_api_key"
{
"status": "SUCCESS",
"data": {
"context_id": "ctx_q1w2e3r4t5y6",
"context_key": "patient_reports",
"tenant_id": "ten_a1b2c3d4e5f6",
"display_name": "Patient Reports",
"description": "Medical patient reports and documents",
"allowed_extensions": ["pdf"],
"max_file_size_mb": 10,
"storage_path_template": "{context_key}/{year}/{month}/",
"reject_blank_files": true,
"reject_corrupt_files": true,
"scan_for_viruses": true,
"storage_quota_mb": 10240,
"storage_used_bytes": 52428800,
"status": "active",
"metadata": {
"department": "medical_records"
},
"created_at": "2026-01-04T10:00:00Z",
"updated_at": "2026-01-04T10:00:00Z"
},
"timestamp": "2026-01-04T10:00:00Z"
}
Get details of a specific file context
curl "https://api.fileguard.io/api/v1/contexts/patient_reports" \
-H "Authorization: Bearer fg_your_api_key"
{
"status": "SUCCESS",
"data": {
"context_id": "ctx_q1w2e3r4t5y6",
"context_key": "patient_reports",
"tenant_id": "ten_a1b2c3d4e5f6",
"display_name": "Patient Reports",
"description": "Medical patient reports and documents",
"allowed_extensions": ["pdf"],
"max_file_size_mb": 10,
"storage_path_template": "{context_key}/{year}/{month}/",
"reject_blank_files": true,
"reject_corrupt_files": true,
"scan_for_viruses": true,
"storage_quota_mb": 10240,
"storage_used_bytes": 52428800,
"status": "active",
"metadata": {
"department": "medical_records"
},
"created_at": "2026-01-04T10:00:00Z",
"updated_at": "2026-01-04T10:00:00Z"
},
"timestamp": "2026-01-04T10:00:00Z"
}
Retrieve detailed information about a file context.Documentation Index
Fetch the complete documentation index at: https://fileguard.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
patient_reports)curl "https://api.fileguard.io/api/v1/contexts/patient_reports" \
-H "Authorization: Bearer fg_your_api_key"
{
"status": "SUCCESS",
"data": {
"context_id": "ctx_q1w2e3r4t5y6",
"context_key": "patient_reports",
"tenant_id": "ten_a1b2c3d4e5f6",
"display_name": "Patient Reports",
"description": "Medical patient reports and documents",
"allowed_extensions": ["pdf"],
"max_file_size_mb": 10,
"storage_path_template": "{context_key}/{year}/{month}/",
"reject_blank_files": true,
"reject_corrupt_files": true,
"scan_for_viruses": true,
"storage_quota_mb": 10240,
"storage_used_bytes": 52428800,
"status": "active",
"metadata": {
"department": "medical_records"
},
"created_at": "2026-01-04T10:00:00Z",
"updated_at": "2026-01-04T10:00:00Z"
},
"timestamp": "2026-01-04T10:00:00Z"
}